import { PermissionString } from "../../../type/permissionTypes";

export interface CreateApiPermissionCommand {
  permission: PermissionString;
  apiId: number;
}

export interface DeleteApiPermissionCommand {
  permission: PermissionString;
  apiId: number;
}

export interface UpdateApiPermissionsCommand {
  apiId: number;
  permissions: Array<PermissionString>;
}
