import { MigrationInterface, QueryRunner, TableColumn } from "typeorm";

export class SecuringCalendarType1733249553766 implements MigrationInterface {
  name = "SecuringCalendarType1733249553766";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.addColumns("calendar_type", [
      new TableColumn({
        name: "passphrase",
        type: "varchar",
        length: "255",
        isNullable: true,
      }),
    ]);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropColumn("calendar_type", "passphrase");
  }
}
